#!/bin/sh

mkdir "`cygpath -u -A -P`/Singular CAS"
mkdir "`cygpath -u -A -P`/Singular CAS/Cygwin"

##################### Singular CAS\Cygwin
# Cygwin - Setup
mkshortcut -A -a '' \
       -i /usr/lib/Singular/cygwin-setup.exe -n "Singular CAS\Cygwin\Setup (Cygwin)" \
       -P /usr/lib/Singular/cygwin-setup.exe \
       -d "Use this program to update, modify or remove your Singular and Cygwin installation"

# Bash Shell
mkshortcut -A -a '' \
       -P /cygwin.bat -n "Singular CAS\Cygwin\Bash shell" \
       -i /usr/lib/Singular/cygwin-setup.exe \
       -d "A simple Bash shell"

# Rxvt Terminal
mkshortcut -A -a '-rv -fn "FixedSys" -e /bin/bash --login -i' \
       -i /bin/rxvt.exe -n "Singular CAS\Cygwin\Rxvt - Terminal" \
       -P /bin/rxvt -d "Start Singular in a rxvt terminal"

# xterm
if test -f /usr/X11R6/bin/xwin.exe; then
mkshortcut -A -a '' \
       -i /usr/X11R6/bin/XWin.exe \
       -P /usr/X11R6/bin/startxwin.bat -n "Singular CAS\Cygwin\XTerm" \
       -d "This starts the Cygwin X-Server and launches one XTerm"

# XServer + xterm
mkshortcut -A -a '' \
       -i /usr/X11R6/bin/XWin.exe \
       -P /usr/X11R6/bin/startxwin.bat -n "Singular CAS\Cygwin\Start X - Server (+ XTerm)" \
       -d "This starts the Cygwin X-Server and launches one XTerm"
fi

##################### Singular CAS
# Emacs + Singular EXP
if test -f /usr/X11R6/bin/xwin.exe; then
mkshortcut -A -a 'bash -l -c "/usr/lib/Singular/startxserver.bat && sleep 1 &&  ESingular"' \
       -i /usr/lib/Singular/runESingular.exe -n "Singular CAS\Singular (Emacs and X-Server) (experimental)" \
       -w /bin \
       -P /usr/X11R6/bin/run.exe -d "Start Singular in Emacs after starting the X - Server"
fi

# Singular in rxvt
mkshortcut -A -a '-rv -fn "FixedSys" -e /bin/bash --login -i -c Singular' \
       -i /usr/lib/Singular/runTSingular.exe -n "Singular CAS\Singular (rxvt)" \
       -P /bin/rxvt -d "Start Singular in a rxvt terminal"

# Singular in Dos mode
mkshortcut -A -a Singular \
       -i /usr/lib/Singular/Singular.exe -n "Singular CAS\Singular (Terminal)" \
       -P /bin/bash -d "Start Singular in a Microsoft terminal"

# Singular in Emacs
if test -f /usr/X11R6/bin/xwin.exe; then
mkshortcut -A -a 'bash -l ESingular' \
       -i /usr/lib/Singular/runESingular.exe -n "Singular CAS\Singular (Emacs)" \
       -w /bin \
       -P /usr/X11R6/bin/run.exe \
       -d "Start Singular in Emacs"

# Only XServer
mkshortcut -A -a '' \
       -i /usr/X11R6/bin/XWin.exe \
       -w /usr/X11R6/bin \
       -P /usr/lib/Singular/startxserver.bat -n "Singular CAS\Start X - Server (needed for emacs and surf)" \
       -d "This starts the Cygwin X-Server. Without XServer Emacs and Surf do not work."
fi

##################### Desktop
# Only XServer
if test -f /usr/X11R6/bin/xwin.exe; then
mkshortcut -A -a '' \
       -i /usr/X11R6/bin/XWin.exe \
       -w /usr/X11R6/bin \
       -D /usr/lib/Singular/startxserver.bat -n "Start X - Server (needed for emacs and surf)" \
       -d "This starts the Cygwin X-Server. Without XServer Emacs and Surf do not work."

mkshortcut -A -a 'bash -l ESingular' \
       -i /usr/lib/Singular/runESingular.exe -n "Singular (Emacs)" \
       -w /bin \
       -D /usr/X11R6/bin/run.exe \
       -d "Start Singular in Emacs"
fi

# Singular in rxvt
mkshortcut -A -a '-rv -fn "FixedSys" -e /bin/bash --login -i -c Singular' \
       -i /usr/lib/Singular/runTSingular.exe -n "Singular (rxvt)" \
       -D /bin/rxvt -d "Start Singular in a rxvt terminal"
